Hi Andreas,

You were right about the linking... Should have seen that myself... pycuda.autoinit works when compiled with the right gcc... thanks again!

On Mon, Mar 21, 2011 at 1:01 PM, Raghuram.O.S. <raghuramos1987@gmail.com> wrote:
Thank you Andreas. Thats seems to have solved some issues. Will start work on this now. 


On Fri, Mar 18, 2011 at 4:21 AM, Andreas Kloeckner <lists@informa.tiker.net> wrote:
On Fri, 18 Mar 2011 03:51:53 -0400, "Raghuram.O.S." <raghuramos1987@gmail.com> wrote:
> Okay. Its not a pycuda issue anymore. I loaded a few modules. Now I'm
> getting this.
>
>
> import pycuda.autoinit
>
>
> ImportError: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.9' not found
> (required by
> /nfs/01/osu5574/local/python/lib/python2.7/site-packages/pycuda-0.94rc-py2.7-linux-x86_64.egg/pycuda/_driver.so)

This problem seems to be that you used a newer C++ compiler, but the
dynamic linker (ld.so) is still finding the old compiler's
libstdc++.so.6. Use LD_LIBRARY_PATH to point ld.so to the right libstdc++.

HTH,
Andreas




--
Regards,
Onti



--
Regards,
Onti